-
  In order to test process of issue tracking in OpenERP, I cancel the unqualified Issue.
-
  !python {model: project.issue}: |
    self.case_cancel(cr, uid, [ref("crm_case_buginaccountsmodule0")])
-
  I check the issue is in cancel state.
-
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue is in cancel state}:
    - state == 'cancelled' 
-
  I re-open the Issue.
-
  !python {model: project.issue}: |
    self.case_open(cr, uid, [ref("crm_case_buginaccountsmodule0")])
-
  I check the state of issue after open it. 
-
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue is in open state}:
    - state == 'open' 
-
  I put the issue in pending state.
-
  !python {model: project.issue}: |
    self.case_pending(cr, uid, [ref("crm_case_buginaccountsmodule0")])
- 
  I check the state of issue after put it in pending state.
-  
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue should be in pending state}:
    - state == 'pending'
-
  I cancel the issue is in pending state.
-
  !python {model: project.issue}: |
    self.case_cancel(cr, uid, [ref("crm_case_buginaccountsmodule0")])
-
  I check the issue is in cancel state.
-
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue is in cancel state}:
    - state == 'cancelled'
-
  I close Issue.
-
  !python {model: project.issue}: |
    self.case_close(cr, uid, [ref("crm_case_buginaccountsmodule0")])
-  
  I check state of Issue after close.
- 
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue is in done state}:
    - state == 'done'
-
  I cancel the issue is in done state.
-
  !python {model: project.issue}: |
    self.case_cancel(cr, uid, [ref("crm_case_buginaccountsmodule0")])
-
  I check the issue is in cancel state.
-
  !assert {model: project.issue, id: crm_case_buginaccountsmodule0, severity: error, string: Issue is in cancel state}:
    - state == 'cancelled'
